package es.uv.saic.domain;

import java.io.Serializable;
import java.util.Objects;

public class OrganEquivalentPK implements Serializable {
	private static final long serialVersionUID = 1L;

	private String tlugar;
	private Integer lugar;
	private String tlugarEq;
	private Integer lugarEq;
	
	public OrganEquivalentPK() {}
	
	public String getTlugar() {
		return tlugar;
	}
	public void setTlugar(String tlugar) {
		this.tlugar = tlugar;
	}
	public Integer getLugar() {
		return lugar;
	}
	public void setLugar(Integer lugar) {
		this.lugar = lugar;
	}
	public String getTlugarEq() {
		return tlugarEq;
	}
	public void setTlugarEq(String tlugarEq) {
		this.tlugarEq = tlugarEq;
	}
	public Integer getLugarEq() {
		return lugarEq;
	}
	public void setLugarEq(Integer lugarEq) {
		this.lugarEq = lugarEq;
	}

	@Override
	public int hashCode() {
		return Objects.hash(lugar, lugarEq, tlugar, tlugarEq);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		OrganEquivalentPK other = (OrganEquivalentPK) obj;
		return Objects.equals(lugar, other.lugar) && Objects.equals(lugarEq, other.lugarEq)
				&& Objects.equals(tlugar, other.tlugar) && Objects.equals(tlugarEq, other.tlugarEq);
	}
	
	

}